# azure.mgmt.cognitiveservices package

## Submodules

- azure.mgmt.cognitiveservices.models module
- azure.mgmt.cognitiveservices.operations module

## Module contents

class `azure.mgmt.cognitiveservices.``CognitiveServicesManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `azure.mgmt.cognitiveservices.operations._cognitive_services_management_client_operations.CognitiveServicesManagementClientOperationsMixin`, `msrest.service_client.SDKClient`

  Cognitive Services Management Client

  Variables:

  - config (CognitiveServicesManagementClientConfiguration) – Configuration for client.
  - accounts (azure.mgmt.cognitiveservices.operations.AccountsOperations) – Accounts operations
  - resource_skus (azure.mgmt.cognitiveservices.operations.ResourceSkusOperations) – ResourceSkus operations
  - operations (azure.mgmt.cognitiveservices.operations.Operations) – Operations operations
  - check_sku_availability (azure.mgmt.cognitiveservices.operations.CheckSkuAvailabilityOperations) – CheckSkuAvailability operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Azure Subscription ID.
  - base_url (str) – Service URL

class `azure.mgmt.cognitiveservices.``CognitiveServicesManagementClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for CognitiveServicesManagementClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Azure Subscription ID.
  - base_url (str) – Service URL